## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectInputStream

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
          org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectInputStream

Enclosing class:
  BinaryResourceImpl

    public static class BinaryResourceImpl.EObjectInputStream

extends BinaryResourceImpl.BinaryIO

Nested Class Summary
`protected static class` `BinaryResourceImpl.EObjectInputStream.EClassData`
`protected static class` `BinaryResourceImpl.EObjectInputStream.EPackageData`
`protected static class` `BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
`BinaryResourceImpl.BinaryIO.FeatureKind, BinaryResourceImpl.BinaryIO.Version`

Field Summary
`protected BasicEList<java.lang.Object>` `dataValueList`
`protected java.util.List<BinaryResourceImpl.EObjectInputStream.EClassData>` `eClassDataList`
`protected java.util.List<InternalEObject>` `eObjectList`
`protected java.util.List<BinaryResourceImpl.EObjectInputStream.EPackageData>` `ePackageDataList`
`protected java.io.InputStream` `inputStream`
`protected int[][]` `intDataArrayBuffer`
`protected int` `intDataArrayBufferCount`
`protected BasicEList<InternalEObject>` `internalEObjectList`
`protected ResourceSet` `resourceSet`
`protected java.util.List<URI>` `uriList`

Fields inherited from class org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
`baseURI, characters, featureMapEntryDataArrayBuffer, featureMapEntryDataArrayBufferCount, internalEObjectDataArrayBuffer, internalEObjectDataArrayBufferCount, options, resource, version`

Constructor Summary
`BinaryResourceImpl.EObjectInputStream(java.io.InputStream inputStream, java.util.Map<?,?> options)`

Method Summary
`protected int[]` `allocateIntArray(int length)`
`protected BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData` `getEStructuralFeatureData(BinaryResourceImpl.EObjectInputStream.EClassData eClassData, int featureID)`
`InternalEObject` `loadEObject()`
`void` `loadEObjects(InternalEList<InternalEObject> internalEObjects)`
`void` `loadFeatureMap(FeatureMap.Internal featureMap)`
`FeatureMap.Entry.Internal` `loadFeatureMapEntry()`
`protected void` `loadFeatureValue(InternalEObject internalEObject, BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData eStructuralFeatureData)`
`void` `loadResource(Resource resource)`
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`int` `readCompressedInt()`
`double` `readDouble()`
`protected BinaryResourceImpl.EObjectInputStream.EClassData` `readEClass()`
`protected BinaryResourceImpl.EObjectInputStream.EPackageData` `readEPackage()`
`protected BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData` `readEStructuralFeature()`
`float` `readFloat()`
`int` `readInt()`
`long` `readLong()`
`short` `readShort()`
`protected void` `readSignature()`
`java.lang.String` `readString()`
`URI` `readURI()`
`protected void` `readVersion()`
`protected void` `recycle(int[] values)`

Methods inherited from class org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO
`allocateFeatureMapEntryArray, allocateInternalEObjectArray, deresolve, recycle, recycle, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceSet

    protected ResourceSet resourceSet

### inputStream

    protected java.io.InputStream inputStream

### ePackageDataList

    protected java.util.List<BinaryResourceImpl.EObjectInputStream.EPackageData> ePackageDataList

### eClassDataList

    protected java.util.List<BinaryResourceImpl.EObjectInputStream.EClassData> eClassDataList

### eObjectList

    protected java.util.List<InternalEObject> eObjectList

### uriList

    protected java.util.List<URI> uriList

### internalEObjectList

    protected BasicEList<InternalEObject> internalEObjectList

### dataValueList

    protected BasicEList<java.lang.Object> dataValueList

### intDataArrayBuffer

    protected int[][] intDataArrayBuffer

### intDataArrayBufferCount

    protected int intDataArrayBufferCount

Constructor Detail

### BinaryResourceImpl.EObjectInputStream

    public BinaryResourceImpl.EObjectInputStream(java.io.InputStream inputStream,
                                                 java.util.Map<?,?> options)
                                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readSignature

    protected void readSignature()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readVersion

    protected void readVersion()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### allocateIntArray

    protected int[] allocateIntArray(int length)

### recycle

    protected void recycle(int[] values)

### readEPackage

    protected BinaryResourceImpl.EObjectInputStream.EPackageData readEPackage()
                                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### readEClass

    protected BinaryResourceImpl.EObjectInputStream.EClassData readEClass()
                                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readEStructuralFeature

    protected BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData readEStructuralFeature()
                                                                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEStructuralFeatureData

    protected BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData getEStructuralFeatureData(BinaryResourceImpl.EObjectInputStream.EClassData eClassData,
                                                                                                     int featureID)
                                                                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadResource

    public void loadResource(Resource resource)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadEObjects

    public void loadEObjects(InternalEList<InternalEObject> internalEObjects)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFeatureMap

    public void loadFeatureMap(FeatureMap.Internal featureMap)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFeatureMapEntry

    public FeatureMap.Entry.Internal loadFeatureMapEntry()
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadEObject

    public InternalEObject loadEObject()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFeatureValue

    protected void loadFeatureValue(InternalEObject internalEObject,
                                    BinaryResourceImpl.EObjectInputStream.EStructuralFeatureData eStructuralFeatureData)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### readByte

    public byte readByte()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readBoolean

    public boolean readBoolean()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readChar

    public char readChar()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readShort

    public short readShort()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInt

    public int readInt()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLong

    public long readLong()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFloat

    public float readFloat()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readDouble

    public double readDouble()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCompressedInt

    public int readCompressedInt()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readString

    public java.lang.String readString()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readURI

    public URI readURI()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.